#
# spec file for package flash-player (Version 9.0.151.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt post-build-checks procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           flash-player
License:        Any commercial
Group:          Productivity/Networking/Web/Browsers
Summary:        Macromedia Flash Plug-In
Provides:       netscape-plugins
Obsoletes:      netscape-plugins
%if %suse_version > 1030
BuildRequires:  update-desktop-files
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        9.0.151.0
Release:        0.1
Source0:        install_flash_player_9_r151_linux.tar.bz2
# http://download.macromedia.com/pub/flashplayer/updaters/9/flash_player_9_linux_dev.tar.gz
Source1:        flashplayer.tar.bz2
Source2:        README
Source3:        flashplayer.desktop
Source4:        flashplayer.png
ExclusiveArch:  %ix86

%description
This package contains Macromedia's Flash plug-in for the supported Web
browsers. This includes Netscape6, Mozilla (all Gecko browsers), and
Konqueror.



Authors:
--------
    Adobe Systems Incorporated

%debug_package
%prep
%setup -n install_flash_player_9_linux -b 1
cp %{SOURCE2} .

%build

%install
%if %suse_version > 1020
install -D -m 755 ../flashplayer $RPM_BUILD_ROOT/usr/bin/flashplayer
%endif
install -D -m 755 libflashplayer.so $RPM_BUILD_ROOT/usr/%_lib/browser-plugins/libflashplayer.so
#install -D -m 755 flashplayer.xpt $RPM_BUILD_ROOT/usr/%_lib/browser-plugins/flashplayer.xpt
%if %suse_version > 1030
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/applications/flashplayer.desktop
install -D -m 644 %{SOURCE4} $RPM_BUILD_ROOT/usr/share/pixmaps/flashplayer.png
%suse_update_desktop_file flashplayer
%endif

%files
%defattr(-,root,root)
%doc [Rr][eE][aA][dD][Mm][eE]*
%if %suse_version > 1020
/usr/bin/flashplayer
%endif
/usr/%_lib/browser-plugins/*
%if %suse_version > 1030
/usr/share/applications/flashplayer.desktop
/usr/share/pixmaps/flashplayer.png
%endif

%changelog
* Thu Nov 06 2008 - dmueller@suse.de
- update to 9.0.151.0 (bnc#435201, bnc#436058)
  * CVE-2007-6243, CVE-2008-3873, CVE-2007-4324, CVE-2008-4401,
  CVE-2008-4503, CVE-2008-4546
* Wed Apr 09 2008 - dmueller@suse.de
- update to 9.0.124.0 (bnc#376639)
  * CVE-2007-6637
* Tue Dec 04 2007 - dmueller@suse.de
- update to 9.0.115.0 (#310213)
* Wed Jul 11 2007 - dmueller@suse.de
- update to 9.0.48.0 (#257905,
  CVE-2007-3456, CVE-2007-3457, CVE-2007-2022)
* Thu Apr 12 2007 - dmueller@suse.de
- add standalone flash player binary (#263332)
* Wed Jan 17 2007 - dmueller@suse.de
- update to 9.0.31.0 (FATE #301150)
* Thu Dec 07 2006 - coolo@suse.de
- update to 7.0.69.0 (CVE-2006-5330, #213291)
* Wed Sep 13 2006 - dmueller@suse.de
- update to 7.0.68.0 (CVE-2006-3311, CVE-2006-3587, CVE-2006-3588,
  [#205382])
* Thu Mar 16 2006 - ltinkl@suse.cz
- fix #158227 - VUL-0: vulnerability in flash-player
  (Flash installer updated to 7.0.63.0)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Mon Jul 26 2004 - clahey@suse.de
- Update to version 7.0.25.0.
* Wed Mar 31 2004 - aj@suse.de
- Update to version 6.0r81:
  * flash scripting fixes
  * video quality and playback speed improvements
  * performance improvements
* Fri Jun 20 2003 - ro@suse.de
- don't include dir in filelist, is in filesystem package now
* Sun Mar 16 2003 - ro@suse.de
- security update to version 6.0r79
* Mon Feb 24 2003 - ro@suse.de
- created (obsoletes old netscape-plugins package)
